<?php
/**
 *
 * Jambopay payment plugin
 *
 * @author Enock Kibet
 * @package VirtueMart
 * @subpackage payment
 * Copyright (C) 2022 JP Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
 *
 * http://virtuemart.net
 */

if ($viewData['isMobile'] ) {
    $width="100%";
    $height="100%";
} else {
	$width="100%";
	$height="700px";
}
$browserbar= 'Make Payment';
$document = JFactory::getDocument();
$document->setTitle($browserbar);

$curl = curl_init();



curl_setopt_array($curl, array(
CURLOPT_URL => $viewData['url'],
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => 'Username='.$viewData['b_email'].'&Grant_type=password&Password='.$viewData['password'].'',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/x-www-form-urlencoded',
),
));


$response = curl_exec($curl);

curl_close($curl);

$tokens = json_decode($response);
$jptokens = $tokens->access_token;

?>

<style type="text/css">
    .vm-order-done h3{ display: none!important}
</style>

<!-- <div class="note"> 
    <form action="#" method="post" id="jformjp">
        <input type="submit" class="btn btn-primary button" id="jpbutton" value="<?php  echo JText::_("Make Payment"); ?>"/>
    </form>
</div> -->


<script>
    var $ = jQuery;
    jQuery( document ).ready(function($) {
      $("#jpbutton").prop("disabled", true);
      const merchantDetails = {
            OrderId: '<?php echo $viewData['orderid']?>'.toString(),
            CustomerEmail: '<?php echo $viewData['cemail']?>'.trim(),
            Currency: '<?php echo $viewData['currency']?>',
            CustomerPhone: '<?php echo $viewData['p_number']?>'.trim(),
            OrderAmount: '<?php echo $viewData['amount']?>',
            BusinessEmail: '<?php echo $viewData['b_email']?>',
            CancelledUrl: '<?php echo $viewData['callBackUrl']?>',
            CallBackUrl: '<?php echo $viewData['callBackUrl']?>',
            Description: 'Joomla checkout',
            Checksum: 'checksum',
            PhoneNumber: '<?php echo $viewData['b_phoneno']?>',
          }

          
        const demoClientKey = '<?php echo $viewData['client_key']?>'
        const checkSumVars = merchantDetails.CustomerEmail + merchantDetails.OrderId + merchantDetails.OrderAmount +
        merchantDetails.Currency + merchantDetails.BusinessEmail + merchantDetails.CallBackUrl + merchantDetails.CancelledUrl + demoClientKey;
        merchantDetails.Checksum = CryptoJS.SHA256(checkSumVars).toString();
        
        const merchantCredetials = {
        token: '<?php echo $jptokens?>',
        secretKey: 'secretKey'
        }
        
        console.log(merchantCredetials)
        
        // alert(JSON.stringify(merchantCredetials));
        
        const themeDetails = {
            // primaryColor: '#925223',
            // secondaryColor: '#000',
            // textColor: '#47bbe9',
            // successButtonColor: '#4A160B',
            // successButtonTextColor: '#FFF',
            // cancelButtonTextColor: '#345',
            // payBtnLoaderColor: "#3F8EFC",
            // cancelBtnLoaderColor: "#3F8EFC",
            // activeModeOfPaymentColor: "#fff",
          }
        jambopayCheckout(merchantDetails, merchantCredetials, themeDetails);
          
        return false;
});
</script>

<script
  src="https://code.jquery.com/jquery-3.6.0.min.js" defer></script>